Page MenuHomePhabricator

Clarify what is the 240 characters limit for mentors' description
Closed, ResolvedPublic

Description

From @revi:

I got to wonder this (not yet ready for task because it's merely a question for now) -- what I know for being Korean is that 240 chars can be calculated differently, depending on the languages and scripts used. For example, Twitter used to have uniform 140 chars limit for everyone, and then later they added another 140 chars for non-CJK Languages.

So, the real question is - "How is the 240 chars limit calculated? Is it same across all languages? Or is it different per languages and maybe needs some modification per languages?"

Event Timeline

@kostajh @Catrope can you find the answer to this and based on the answer we will determine how to proceed wit this task.

@revi, can you check on Korean Beta?

  1. check which mentor has been assigned to a given test account
  2. change the description for this mentor
  3. look how it looks
Trizek-WMF assigned this task to revi.Jul 17 2019, 5:23 PM
Restricted Application added a project: User-revi. · View Herald TranscriptJul 17 2019, 5:23 PM
revi updated the task description. (Show Details)Jul 17 2019, 5:33 PM
revi moved this task from Incoming to Doing on the User-revi board.
revi added a comment.Jul 17 2019, 5:38 PM

Question: page name to control the mentor list is same on Beta, right?

Change 523977 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] Beta: Add GrowthExperiments mentors list for kowiki

https://gerrit.wikimedia.org/r/523977

Question: page name to control the mentor list is same on Beta?

It is apparently 위키백과:새_사용자_경험/새_사용자_멘토 since @kostajh patched it. :)

revi added a comment.Jul 18 2019, 7:27 PM

Looks like it is stripped at around 237-9 chars.

revi removed revi as the assignee of this task.Jul 21 2019, 7:52 PM
revi moved this task from Doing to Radar on the User-revi board.

The screenshot above displays 'what happens when it is too long'. Unassigning myself.

@revi, is it 237 to 239 characters or 237 minus 9?

I let you adapt the translations and the description at the top of the mentor page per T227232: Homepage: guidelines for custom mentor messages. Thanks!

revi added a comment.Jul 22 2019, 9:34 AM

The word counter said 237 excluding the trailing dots, and I guess (the trailing) three dots makes the total 240 chars.

JTannerWMF closed this task as Resolved.Jul 24 2019, 5:45 PM
JTannerWMF claimed this task.

We are glad it was discovered that this is 240 characters so we don't think any action is needed.

Change 523977 merged by jenkins-bot:
[operations/mediawiki-config@master] Beta: Add GrowthExperiments mentors list for kowiki

https://gerrit.wikimedia.org/r/523977